Subject: [OPSAWG] draft-baker-opsawg-firewalls-00.txt

From: Fred Baker <[email-masked]>
Date: Fri, 20 Jan 2012 17:26:34 -0800

> From: [email-masked]
> Date: January 20, 2012 5:13:25 PM PST
> To: [email-masked]
> Cc: [email-masked]
> Subject: New Version Notification for draft-baker-opsawg-firewalls-00.txt
> 
> A new version of I-D, draft-baker-opsawg-firewalls-00.txt has been successfully submitted by Fred Baker and posted to the IETF repository.
> 
> Filename:	 draft-baker-opsawg-firewalls
> Revision:	 00
> Title:		 On Firewalls in Internet Security
> Creation date:	 2012-01-21
> WG ID:		 Individual Submission
> Number of pages: 12
> 
> Abstract:
>   There is an ongoing discussion regarding the place of firewalls in
>   security.  This note is intended to capture and try to make sense out
>   of it.
> 
> The IETF Secretariat

Folks:

When the IPv6 Operations WG was looking at firewalls for IPv6, the working group experienced a clash of worldviews. One world view said "I have a marketplace requirement to provide perimeter security - firewalls - or people won't deploy IPv6 in their residential networks", and the other said "we really don't want to have firewalls in the IPv6 network." 

The discussion has resurfaced in homenet.

A little bedtime reading:

https://tools.ietf.org/html/rfc6092
6092 Recommended Simple Security Capabilities in Customer Premises
     Equipment (CPE) for Providing Residential IPv6 Internet Service. J.
     Woodyatt, Ed.. January 2011. (Format: TXT=91729 bytes) (Status:
     INFORMATIONAL)

http://tools.ietf.org/html/draft-vyncke-advanced-ipv6-security
  "Advanced Security for IPv6 CPE", Eric Vyncke, Andrew Yourtchenko, Mark
  Townsley, 31-Oct-11

I took some time to attempt to organize a line of reasoning, that would enable us to give hopefully-unbiased guidance on the topic, or at least have a low-blood-pressure discussion of it. That's this draft.

I would appreciate your thoughts on it and on the topic it addresses.